enum ExerciseCheckerError {
    EXERCISE_ASSIGNMENT_GET_ERROR          = 200,
    DOCKER_COMPOSE_RUN_ERROR               = 201,
    DOCKER_COMPOSE_LOGS_ERROR              = 202,
    DOCKER_COMPOSE_DOWN_ERROR              = 203,
    EXERCISE_RESULTS_FOLDER_TOO_BIG        = 204,
    EXERCISE_RESULTS_FILE_SCHEMA_NOT_VALID = 206,
    UPLOAD                                 = 207,
    DOCKER_COMPOSE_REMOVE_DANGLING_ERROR   = 208
}


/**
 * Codes that are unusable for historic reasons:
 * - 205: EXERCISE_RESULTS_FILE_NOT_FOUND => From the version 2.2.0 this error is not possible anymore because the results file is now optional
 */


export default ExerciseCheckerError;